[pkg-java] r12791 - trunk/tomcat6/debian

Thierry Carrez ttx-guest at alioth.debian.org
Wed Jul 21 07:11:14 UTC 2010


Author: ttx-guest
Date: 2010-07-21 07:11:02 +0000 (Wed, 21 Jul 2010)
New Revision: 12791

Added:
   trunk/tomcat6/debian/tomcat6.config
   trunk/tomcat6/debian/tomcat6.templates
Log:
Add missing tomcat6.{templates,config} files

Added: trunk/tomcat6/debian/tomcat6.config
===================================================================
--- trunk/tomcat6/debian/tomcat6.config	                        (rev 0)
+++ trunk/tomcat6/debian/tomcat6.config	2010-07-21 07:11:02 UTC (rev 12791)
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+CONFFILE="/etc/default/tomcat6"
+JAVA_OPTS="-Djava.awt.headless=true -Xmx128m"
+
+if [ -e "${CONFFILE}" ]
+then
+	. ${CONFFILE} || true
+
+	if [ -n "${TOMCAT6_USER}" ]; then
+		db_set tomcat6/username "${TOMCAT6_USER}"
+	fi
+
+	if [ -n "${TOMCAT6_GROUP}" ]; then
+		db_set tomcat6/groupname "${TOMCAT6_GROUP}"
+	fi
+
+	if [ -n "${JAVA_OPTS}" ]; then
+		db_set tomcat6/javaopts "${JAVA_OPTS}"
+	fi
+fi
+
+db_input low tomcat6/username || true
+db_input low tomcat6/groupname || true
+db_input low tomcat6/javaopts || true
+db_go
+
+db_stop

Added: trunk/tomcat6/debian/tomcat6.templates
===================================================================
--- trunk/tomcat6/debian/tomcat6.templates	                        (rev 0)
+++ trunk/tomcat6/debian/tomcat6.templates	2010-07-21 07:11:02 UTC (rev 12791)
@@ -0,0 +1,25 @@
+Template: tomcat6/username
+Type: string
+Default: tomcat6
+Description: Dedicated system account for the tomcat6 daemon:
+ The tomcat6 server must use a dedicated account for its operation so that
+ the system's security is not compromised by running it with superuser
+ privileges.
+
+Template: tomcat6/groupname
+Type: string
+Default: tomcat6
+Description: Dedicated system group for the tomcat6 daemon:
+ The tomcat6 server must use a dedicated group for its operation so that
+ the system's security is not compromised by running it with superuser
+ privileges.
+
+Template: tomcat6/javaopts
+Type: string
+Default: -Djava.awt.headless=true -Xmx128m -XX:+UseConcMarkSweepGC
+Description: Please choose the tomcat6 JVM Java options:
+ Tomcat's JVM will be launched with a specific set of Java options.
+ .
+ Note that if you use -XX:+UseConcMarkSweepGC you should add the
+ -XX:+CMSIncrementalMode option if you run Tomcat on a machine with
+ exactly one CPU chip that contains one or two cores.




More information about the pkg-java-commits mailing list